# Source code for azure.mgmt.managementgroups.models.management_group_details_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class ManagementGroupDetails(Model):
        """The details of a management group.

        :param version: The version number of the object.
        :type version: float
        :param updated_time: The date and time when this object was last updated.
        :type updated_time: datetime
        :param updated_by: The identity of the principal or process that updated
         the object.
        :type updated_by: str
        :param parent: Parent.
        :type parent: ~azure.mgmt.managementgroups.models.ParentGroupInfo
        """

        _attribute_map = {
            'version': {'key': 'version', 'type': 'float'},
            'updated_time': {'key': 'updatedTime', 'type': 'iso-8601'},
            'updated_by': {'key': 'updatedBy', 'type': 'str'},
            'parent': {'key': 'parent', 'type': 'ParentGroupInfo'},
        }

        def __init__(self, *, version: float=None, updated_time=None, updated_by: str=None, parent=None, **kwargs) -> None:
            super(ManagementGroupDetails, self).__init__(**kwargs)
            self.version = version
            self.updated_time = updated_time
            self.updated_by = updated_by
            self.parent = parent